.wpt-settings-table {

  .notice {
    margin: 0;
    padding: 1em;
  }

}

#setting-error-wpt-settings-updated {
  & + #setting-error-wpt-settings-updated {
    display: none;
  }
}

.wpt-license-notice {

  td {
    padding: 0 1.5em !important;
  }

  &.is-error {
    background-color: $error;
    border-color: $error;
  }
  &.is-success {
    background-color: $success;
    border-color: $success;
  }
  &.is-info {
    background-color: $info;
    border-color: $info;
  }
}

.wp-translations-notice {
  background: #fff;
  background-color: rgb(255, 255, 255);
  border-left: 4px solid #fff;
  border-left-color: rgb(255, 255, 255);
  margin: 5px 20px 15px 40px;
  padding: 1px 12px;

  p {
    margin: 0.5em 0 !important;
    &::before {
      font: normal 20px/1 'dashicons';
      margin-right: .4em;
      vertical-align: middle;
    }
  }

}

.wpt-settings-table {
  .wp-translations-notice {
      p {
        margin: 0.5em 0;
        &::before {
          margin-right: 6px;
          vertical-align: bottom;
        }
      }
  }
}

.wp-translations-notice-second {
  top: 39px !important;
}

.wp-translations-update-message p::before {
  color: #f56e28;
  content: "\f463";
}
.wp-translations-update-message p:nth-of-type(2) {
  display: none;
}

.wp-translations-updated-message p::before {
  font: normal 20px/1 'dashicons';
  color: #79ba49;
  content: "\f147";
}

.wp-translations-info-message p::before {
  font: normal 20px/1 'dashicons';
  content: "\f326";
  color: #00a0d2;
}

.wp-translations-notice-success {
  background-color: #ecf7ed;
  border-left-color: #46b450;
}

.wp-translations-notice-warning {
  background-color: #fff8e5;
  border-left-color: #ffb900;
}

.wp-translations-notice-info {
  background-color: #e5f5fa;
  border-left-color: #00a0d2;
}

.wpt-notice-table {
  height: 30px;
  color: #FFF;
  font-weight: bold;
  vertical-align: middle;
  padding: 0 1em;


  &.wpt-notice-table-error {
    background-color: $error;
    &:after {
      content: '';
      font-size: 1.2rem;
    }
  }

  &.wpt-notice-table-success {
    background-color: $success;
    &:after {
      content: '';
      font-size: 1.2rem;
    }
  }

  &.wpt-notice-table-info {
    background-color: $info;

    &:after {
      content: ' .';
      animation: dots 1s steps(5, end) infinite;
      font-size: 1.2rem;

    }
  }

}

.wpt-field-notice {
  &-error {
    color: $error;
    font-style: italic;
    padding-bottom: .5em;
  }
}

.wpt-spinner {
  display: inline-block;
  width: 20px;
  height: 20px;
  font-size: 20px;
  line-height: 1;
  font-family: dashicons;
  vertical-align: middle;
  text-align: center;
  animation: wpt-spin-anim 1s infinite linear;

  &::before {
    content: "\f531";
    font-size: 20px;
    line-height: 1;
    font-family: dashicons;
    font-weight: normal;
    font-style: normal;
    text-align: center;
  }

  &.is-success {
    display: inline-block;
    animation-name: none;
    &::before {
      visibility: visible;
      content: "\f147";
    }
  }

  &.is-error {
    display: inline-block;
    animation-name: none;
    &::before {
      visibility: visible;
      content: "\f534";
    }
  }

}

@keyframes wpt-spin-anim {

  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(-359deg);
    transform: rotate(-359deg);
  }

}

@keyframes dots {
  0%, 20% {
    color: rgba(0,0,0,0);
    text-shadow:
      .25em 0 0 rgba(0,0,0,0),
      .5em 0 0 rgba(0,0,0,0);}
  40% {
    color: white;
    text-shadow:
      .25em 0 0 rgba(0,0,0,0),
      .5em 0 0 rgba(0,0,0,0);}
  60% {
    text-shadow:
      .25em 0 0 white,
      .5em 0 0 rgba(0,0,0,0);}
  80%, 100% {
    text-shadow:
      .25em 0 0 white,
      .5em 0 0 white;}}

@keyframes dotsprimary {
  0%, 20% {
    color: rgba(0,0,0,0);
    text-shadow:
      .25em 0 0 rgba(0,0,0,0),
      .5em 0 0 rgba(0,0,0,0);}
  40% {
    color: $button-primary;
    text-shadow:
      .25em 0 0 rgba(0,0,0,0),
      .5em 0 0 rgba(0,0,0,0);}
  60% {
    text-shadow:
      .25em 0 0 $button-primary,
      .5em 0 0 rgba(0,0,0,0);}
  80%, 100% {
    text-shadow:
      .25em 0 0 $button-primary,
      .5em 0 0 $button-primary;}
		}
